camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-4319) Example feature: wrong spring version
Date Fri, 02 Sep 2011 09:24:10 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-4319?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-4319:
-------------------------------

    Fix Version/s: 2.8.1

> Example feature: wrong spring version
> -------------------------------------
>
>                 Key: CAMEL-4319
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4319
>             Project: Camel
>          Issue Type: Bug
>          Components: examples
>    Affects Versions: 2.8.0
>            Reporter: Alexey Markevich
>            Assignee: Claus Ibsen
>            Priority: Trivial
>             Fix For: 2.8.1, 2.9.0
>
>
> Feature
> apache-camel-2.8.0.zip\apache-camel-2.8.0\examples\camel-example-etl\src\main\resources\features.xml

> contains
>        <bundle>mvn:org.springframework/spring-jdbc/2.5.6.SEC01</bundle>
>        <bundle>mvn:org.springframework/spring-orm/2.5.6.SEC01</bundle> 
> Exception during 'hibernate-feauture' feature installation:
> 12:23:21,337 | INFO  | l Console Thread | araf.shell.console.jline.Console  258 | 36
- org.apache.karaf.shell.console - 2.2.1 | Exception caught while executing command java.lang.Exception:
Could not start bundle mvn:org.springframework/spring-jdbc/2.5.6.SEC01 in feature(s) hibernate-feauture-0.0.0:
The bundle "org.springframework.jdbc_2.5.6.SEC01 [332]" could not be resolved. Reason: Missing
Constraint: Import-Package: org.springframework.dao; version="[2.5.6.SEC01,2.5.6.SEC01]"
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:353)[38:org.apache.karaf.features.core:2.2.1]
> ...
> Caused by: org.osgi.framework.BundleException: The bundle "org.springframework.jdbc_2.5.6.SEC01
[332]" could not be resolved. Reason: Missing Constraint: Import-Package: org.springframework.dao;
version="[2.5.6.SEC01,2.5.6.SEC01]"
>         at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1317)[osgi-3.6.0.v20100517.jar:]
>         at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1301)[osgi-3.6.0.v20100517.jar:]
>         at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:319)[osgi-3.6.0.v20100517.jar:]
>         at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:284)[osgi-3.6.0.v20100517.jar:]
>         at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:276)[osgi-3.6.0.v20100517.jar:]
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:350)[38:org.apache.karaf.features.core:2.2.1]
>         ... 15 more
> Solution:
> Change version for bundles org.springframework/spring-jdbc and org.springframework/spring-orm
to 3.0.5.RELEASE instead 2.5.6.SEC01.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message